Subject: Re: bug#19812: 24.4; suggest `shell-mode' not interactive

From: Kevin Ryde <[email-masked]>
Date: Sat, 03 Aug 2019 09:54:51 +1000

Lars Ingebrigtsen <[email-masked]> writes:
>
> A different fix would be to extend defined-derived-mode to take a
> :noninteractive flag to just not include the `(interactive)' in the
> defun.  It looks fairly straightforward to implement -- is that a better
> idea, perhaps?

Maybe :interactive, just to write it in the positive sense.  The default
must be t for compatibility.  A couple of words in the docs could note
that special modes usually should be nil.

Perhaps special-mode itself would be the second customer for this.
I presume special-mode is not intended for interactive use, and it
doesn't do much helpful (set buffer-read-only).